Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class NotesImpl

    java.lang.Object
      org.apache.poi.hwpf.usermodel.NotesImpl

All Implemented Interfaces:
  Notes

    public class NotesImpl

extends java.lang.Object
implements Notes

Default implementation of `Notes` interface

Author:
  Sergey Vladimirov (vlsergey {at} gmail {doc} com)

Constructor Summary
`NotesImpl(NotesTables notesTables)`

Method Summary
`int` | `getNoteAnchorPosition(int index)` Returns the location of note anchor in main textspace
`int` | `getNoteIndexByAnchorPosition(int anchorPosition)` Returns index of note (if exists, otherwise -1) with specified anchor position
`int` | `getNotesCount()` Returns count of notes in document
`int` | `getNoteTextEndOffset(int index)` Returns the end offset of the text corresponding to the reference within the footnote text address space
`int` | `getNoteTextStartOffset(int index)` Returns the start offset of the text corresponding to the reference within the footnote text address space

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotesImpl

    public NotesImpl(NotesTables notesTables)

Method Detail

### getNoteAnchorPosition

    public int getNoteAnchorPosition(int index)

  Description copied from interface: `Notes`
  Returns the location of note anchor in main textspace

  Specified by:
    `getNoteAnchorPosition` in interface `Notes`

### getNoteIndexByAnchorPosition

    public int getNoteIndexByAnchorPosition(int anchorPosition)

  Description copied from interface: `Notes`
  Returns index of note (if exists, otherwise -1) with specified anchor position

  Specified by:
    `getNoteIndexByAnchorPosition` in interface `Notes`

### getNotesCount

    public int getNotesCount()

  Description copied from interface: `Notes`
  Returns count of notes in document

  Specified by:
    `getNotesCount` in interface `Notes`

### getNoteTextEndOffset

    public int getNoteTextEndOffset(int index)

  Description copied from interface: `Notes`
  Returns the end offset of the text corresponding to the reference within the footnote text address space

  Specified by:
    `getNoteTextEndOffset` in interface `Notes`

### getNoteTextStartOffset

    public int getNoteTextStartOffset(int index)

  Description copied from interface: `Notes`
  Returns the start offset of the text corresponding to the reference within the footnote text address space

  Specified by:
    `getNoteTextStartOffset` in interface `Notes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD